<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="preconnect" href="https://fonts.gstatic.com">
    <link href="https://fonts.googleapis.com/css2?family=Quattrocento+Sans:ital@1&display=swap" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css2?family=Dancing+Script&display=swap" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css2?family=Nunito:ital,wght@1,700&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
    <title>Document</title>
    <style>
        body{
            margin:0;
            padding:0;
        }   
        .main_card{
            display:flex;
            flex-direction: column;
            width:60%;
            flex-wrap: wrap;
            line-height: 20px;
            margin:auto;
            flex-wrap: wrap;
        }
        .sub_div
        {
            display:flex;
            flex-direction: column;
            padding-bottom: 20px;
            flex-wrap: wrap;
            height:auto;
            border:1px solid black;
            margin: 3px;
            background-color: rgb(228, 238, 238);
        }
        .title{
            display:flex;
            flex-direction: row;
            flex-wrap: nowrap;
            
        }
        .title_heading{
            width:10%;
            color:black;
            padding-left:10px; 
            font-size: small;
            font-family: 'Nunito', sans-serif;
        }
        .title_name{
            width:80%;
            font-family: 'Quattrocento Sans', sans-serif;
        }
        .cmt_heading{
            width:10%;
             padding-left:10px; 
             font-size: small;
             font-family: 'Nunito', sans-serif;
        }
        .cmt_value
        {
            width:80%;
            font-family: 'Quattrocento Sans', sans-serif;
        }
        .cb-div-class
        {
            display: flex;
            flex-direction: row;
            flex-wrap: wrap;
            border:10x solid black
        }
        .btn {
                background-color: rgb(228, 238, 238);; 
                border: none; 
                color: grey; 
                font-size: 16px; 
                cursor: pointer; 
                float :right;
                }

                /* Darker background on mouse-over */
        .btn:hover {
                color: black;
                }
        .sec_div
        {
            display: flex;
            flex-wrap: wrap;
            flex-direction: column;
            padding-top: 12px;
        }
        .cmnts
        {
            margin-top: 10px;
            display: flex;
            flex-wrap: wrap;
            flex-direction: column;
            
        }
        /* for comments word */
        .cmnts_head{
            padding-left:10px ;
            font-size: small;
            font-weight: bolder;
            font-family: 'Nunito', sans-serif;
        }
        @media screen and (min-width: 1000px) {
            .main_div{
                width:100%;
            }
        }
    </style>
</head>
<body>
    <!-- <div id="main_card" class="main_card">

    </div> -->
    <script>
        //let main_div=document.getElementById("main_card")
        let params=new URLSearchParams(window.location.search)
        let xhr = new XMLHttpRequest();
        xhr.open('get', 'https://jsonplaceholder.typicode.com/posts?userId='+params.get('id'));
        xhr.responseType="json"
        xhr.send();
        xhr.onload = function() {
                 let posts_data =xhr.response;
                postcards(posts_data)
                 function postcards(posts_data)
                 {
                     main_div=document.createElement("div")
                     main_div.setAttribute("class","main_card")
                     main_div.setAttribute("id","main_card")
                    for(i=0;i<posts_data.length;i++)
                    {
                     label=document.createElement("label")
                     label.setAttribute("for","c"+i)
                     let card_div=document.createElement("div")
                     card_div.className='sub_div'
                     card_div.setAttribute("id","div"+i)
                     cb_del=document.createElement("div")
                    //checkbox
                     let cb=document.createElement("input")
                     cb.type="checkbox"
                     cb.setAttribute("id","c"+i)
                     cb_del.appendChild(cb)
                    //icon delete
                    delete_button=document.createElement("button")
                    delete_button.innerHTML='<i class="fa fa-trash-o" aria-hidden="true"></i>'
                    delete_button.className='btn'
                    delete_button.setAttribute("id",+i)
                    //adding alert to delete button
                    delete_button.onclick=()=>{
                        cb.checked="yes"
                        delete_function()}
                    
                        function delete_function()
                        {
                            prompt=confirm("Are u sure ??")
                            if(prompt==true){
                                chkd_array=[]
                            for(i=0;i<posts_data.length;i++)
                            {
                                
                                chk=document.getElementById('c'+i)
                                if(chk.checked==true)
                                {
                                chkd_array.push(i)
                                console.log(chkd_array)
                                console.log(i)
                                }
                            }
                                    console.log(chkd_array)
                                let j=0
                                for(i=0;i<chkd_array.length;i++)
                                {
                                    let del = new XMLHttpRequest();
                                    del.open('delete', 'https://jsonplaceholder.typicode.com/posts/'+posts_data[chkd_array[i]].id,false)
                                    del.send();
                                    console.log(del.status)
                                    console.log(chkd_array[i])
                                    posts_data.splice(chkd_array[i-j],1)
                                    j+=1
                                    console.log(posts_data) 
                                }
                                console.log(posts_data)
                                main_div.remove()
                                postcards(posts_data)
                            }
                            else
                            {
                            for(i=0;i<posts_data.length;i++)
                            {
                                chk=document.getElementById('c'+i)
                                if(chk.checked==true)
                                chk.checked=false
                            }
                            }
                                
                        }

                    //icon edit
                    edit_button=document.createElement("button")
                    edit_button.innerHTML='<i class="fa fa-edit" aria-hidden="true"></i>'
                    edit_button.className='btn'
                    //appending
                    cb_del.appendChild(edit_button)
                    cb_del.appendChild(delete_button)
                    card_div.appendChild(cb_del)
                        //posts title
                     let title_div=document.createElement("div")

                     let title_heading_div=document.createElement("div")
                     let title_heading=document.createTextNode("TITLE")
                     title_heading_div.appendChild(title_heading)
                     title_heading_div.className="title_heading"

                    let title_name_div=document.createElement("div")
                    let title_name=document.createTextNode(posts_data[i].title)
                    title_name_div.appendChild(title_name)
                    title_name_div.className="title_name"

                     title_div.appendChild(title_heading_div)
                     title_div.appendChild(title_name_div)
                     title_div.className="title"
                     //appending title to div element
                     card_div.appendChild(title_div)
                     //posts body
                     let body_div=document.createElement("div")

                     let body_heading_div=document.createElement("div")
                     let body_heading=document.createTextNode("BODY")
                     body_heading_div.appendChild(body_heading)
                     body_heading_div.className="title_heading"

                     let body_value_div=document.createElement("div")
                     let body_value=document.createTextNode(posts_data[i].body)
                     body_value_div.appendChild(body_value)
                     body_value_div.className="title_name"

                     body_div.appendChild(body_heading_div)
                     body_div.appendChild(body_value_div)
                     body_div.className="title"

                     card_div.appendChild(body_div)

                    let cmnts=document.createElement("div")
                    cmnts.className="cmnts"

                    let cmnt_name_div=document.createElement("div")
                    let cmnts_name=document.createTextNode("COMMENTS")
                    cmnt_name_div.appendChild(cmnts_name)
                    cmnt_name_div.className="cmnts_head"

                    cmnts.appendChild(cmnt_name_div)

                    let xhr1= new XMLHttpRequest();
                    xhr1.open('get', 'https://jsonplaceholder.typicode.com/comments?postId='+posts_data[i].id);
                    xhr1.responseType="json"
                    xhr1.send();
                    xhr1.onload = function() {
                        comments=xhr1.response
                        cstart=comments.length-3
                        //comments section div
                        cdiv=document.createElement("div")
                        for(let j=cstart;j<comments.length;j++)
                        {
                            let sec_div=document.createElement("div")
                            sec_div.className="sec_div"
                            //comments name
                            let cname_div=document.createElement("div")
                            cname_div.className="title"

                            let cname_heading_div=document.createElement("div")
                            let cname_heading=document.createTextNode("NAME")
                            cname_heading_div.appendChild(cname_heading)
                            cname_heading_div.className="cmt_heading"
                            // cname_heading_div.className="title_heading"

                            let cname_value_div=document.createElement("div")
                            let cname_value=document.createTextNode(comments[j].name)
                            cname_value_div.appendChild(cname_value)
                            cname_value_div.className="cmt_value"
                            // cname_value_div.className="title_name"

                            cname_div.appendChild(cname_heading_div)
                            cname_div.appendChild(cname_value_div)
                            // cname_div.className="title"
                            //comments body
                            let cbody_div=document.createElement("div")
                            cbody_div.className="title"

                            let cbody_heading_div=document.createElement("div")
                            let cbody_heading=document.createTextNode("BODY")
                            cbody_heading_div.appendChild(cbody_heading)
                            cbody_heading_div.className="cmt_heading"
                            // cbody_heading.className="title_heading"

                            let cbody_name_div=document.createElement("div")
                            let cbody_name=document.createTextNode(comments[j].body)
                            cbody_name_div.appendChild(cbody_name)
                            cbody_name_div.className="cmt_value"
                            // cbody_name_div.className="title_name"

                            cbody_div.append(cbody_heading_div)
                            cbody_div.appendChild(cbody_name_div)
                            // cbody_div.className="title"

                            //comments email
                            let cemail_div=document.createElement("div")
                            cemail_div.className="title"

                            let cemail_heading_div=document.createElement("div")
                            let cemail_heading=document.createTextNode("EMAIL")
                            cemail_heading_div.appendChild(cemail_heading)
                            cemail_heading_div.className="cmt_heading"

                            let cemail_value_div=document.createElement("div")
                            let cemail_value=document.createTextNode(comments[j].email)
                            cemail_value_div.append(cemail_value)
                            cemail_value_div.className="cmt_value"

                            cemail_div.appendChild(cemail_heading_div)
                            cemail_div.appendChild(cemail_value_div)
                            cemail_div.className="title"

                            sec_div.appendChild(cname_div)
                            sec_div.appendChild(cbody_div)
                            sec_div.appendChild(cemail_div)
                            cmnts.appendChild(sec_div)
                        } card_div.appendChild(cmnts)
                       
                    } 
                    label.appendChild(card_div)
                     main_div.appendChild(label)
                 }
                 document.body.appendChild(main_div)
            };
        }
    </script>
</body>
</html>